unit tvTagProp;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls;

type
  TtvTagPropForm = class(TForm)
    edLegName: TEdit;
    edTransform: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Bevel1: TBevel;
    btOk: TBitBtn;
    btCancel: TBitBtn;
    cbStairs: TCheckBox;
    cbPointers: TCheckBox;
    edWidth: TEdit;
    Label5: TLabel;
    udWidth: TUpDown;
    ColorDialog1: TColorDialog;
    pnlColor: TPanel;
    cbColor: TCheckBox;
    cbSetDefault: TCheckBox;
    Label6: TLabel;
    Label7: TLabel;
    procedure pnlColorClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  _TagTransform : string;
  _TagWidth     : string = '1';
  _TagColor     : string;
  _TagStairs    : string = '1';
  _TagPointers  : string;

implementation

{$R *.dfm}

procedure TtvTagPropForm.pnlColorClick(Sender: TObject);
begin
  ColorDialog1.Color := pnlColor.Color;
  if ColorDialog1.Execute then
    pnlColor.Color := ColorDialog1.Color;
end;

end.
